import org.w3c.dom.Document;
import org.w3c.dom.Node;
import org.xml.sax.SAXException;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import java.io.IOException;
import java.io.InputStream;
import java.math.BigDecimal;

/**
 * Created with IntelliJ IDEA.
 * User: sbaehni
 * Date: 4/25/12
 * Time: 12:24 AM
 * To change this template use File | Settings | File Templates.
 */
public class DomDocumentParser {

    public final double MEGABYTE = 1024*1024;

    public DomDocumentParser() {}

    public Document getDocument(InputStream stream) throws Exception {
        DocumentBuilderFactory docBuilderFactory = DocumentBuilderFactory.newInstance();
        DocumentBuilder docBuilder = null;
            docBuilder = docBuilderFactory.newDocumentBuilder();
        Document doc = doc = docBuilder.parse(stream);
        doc.getDocumentElement ().normalize ();

        return doc;
    }

    protected BigDecimal round(String toRound) {
        return BigDecimal.valueOf(Double.valueOf(toRound)/MEGABYTE).setScale(2,BigDecimal.ROUND_FLOOR);

    }


}
