import javax.net.ssl.*;
import java.io.InputStream;
import java.net.URL;
import java.security.SecureRandom;
import java.security.cert.CertificateException;
import java.security.cert.X509Certificate;

/**
 * Created with IntelliJ IDEA.
 * User: sbaehni
 * Date: 4/25/12
 * Time: 12:19 AM
 * To change this template use File | Settings | File Templates.
 */
public class SSLTrustedConnection {

    public SSLTrustedConnection() {}

    public InputStream createTrustedConnection(String url) throws Exception {
            SSLContext ctx = SSLContext.getInstance("TLS");
            ctx.init(new KeyManager[0], new TrustManager[] {new DefaultTrustManager()}, new SecureRandom());
            SSLContext.setDefault(ctx);

            URL sslURL = new URL(url);
            HttpsURLConnection conn = (HttpsURLConnection) sslURL.openConnection();
            conn.setConnectTimeout(5000);
            conn.setHostnameVerifier(new HostnameVerifier() {
                @Override
                public boolean verify(String arg0, SSLSession arg1) {
                    return true;
                }
            });


            return conn.getInputStream();
    }

    private static class DefaultTrustManager implements X509TrustManager {

        @Override
        public void checkClientTrusted(X509Certificate[] arg0, String arg1) throws CertificateException {}

        @Override
        public void checkServerTrusted(X509Certificate[] arg0, String arg1) throws CertificateException {}

        @Override
        public X509Certificate[] getAcceptedIssuers() {
            return null;
        }

    }
}
